java.util.concurrent

## Interface RunnableFuture<V>

- Type Parameters:
    `V` - The result type returned by this Future's `get` method
  All Superinterfaces:
    Future<V>, Runnable
  All Known Subinterfaces:
    RunnableScheduledFuture<V>
  All Known Implementing Classes:
    FutureTask, SwingWorker

      public interface RunnableFuture<V>
      extends Runnable, Future<V>

  A `Future` that is `Runnable`. Successful execution of the `run` method causes completion of the `Future` and allows access to its results.
  Since:
    1.6
  See Also:
    `FutureTask`, `Executor`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Sets this Future to the result of its computation unless it has been cancelled.

    - ### Methods inherited from interface java.util.concurrent.Future

      `cancel, get, get, isCancelled, isDone`

- - ### Method Detail

    - #### run

          void run()

      Sets this Future to the result of its computation unless it has been cancelled.
      Specified by:
        `run` in interface `Runnable`
      See Also:
        `Thread.run()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.